<?php     

/**
 * Preprocess page templates.
 */
function evolution_preprocess_page(&$vars) {
	drupal_add_js(path_to_theme() . '/js/evolution.js');
  $vars['tabs2'] = menu_secondary_local_tasks();
	$vars['admin_menu'] = evolution_get_admin_menu();
}

/**
 * Preprocess node templates.
 */
function evolution_preprocess_node(&$vars) {

}

/**
 * Add classes to fieldsets.
 */
function evolution_fieldset($element) {
  if (!isset($element['#attributes']['class'])) {
    $element['#attributes']['class'] = '';
  }
  
  $element['#attributes']['class'] .= 'fieldset-' . str_replace(' ', '-', strtolower($element['#title'])); 
    
  if ($element['#collapsible']) {
    drupal_add_js('misc/collapse.js');

    $element['#attributes']['class'] .= ' collapsible';
    if ($element['#collapsed']) {
      $element['#attributes']['class'] .= ' collapsed';
    }
  }

  return '<fieldset'. drupal_attributes($element['#attributes']) .'>'. ($element['#title'] ? '<legend>'. $element['#title'] .'</legend>' : '') . (isset($element['#description']) && $element['#description'] ? '<div class="description">'. $element['#description'] .'</div>' : '') . (!empty($element['#children']) ? $element['#children'] : '') . $element['#value'] ."</fieldset>\n";
}


/**
 * Get administration section blocks.
 */
function evolution_get_admin_menu() {
  require_once(drupal_get_path('module', 'system') . '/system.admin.inc');
  return system_main_admin_page();
}

